<?php

namespace WpieApp\Core\Office\Reader\CSV;

use WP_Error;
use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Enclosure {

        
        public static function get( $fp, $enclosure = '"', $delimiter = "," ) {

                if ( Helper::isNonEmptyStr( $enclosure ) && in_array( $enclosure, [ "'", '"' ] ) ) {

                        return $enclosure;
                }

                if ( !is_resource( $fp ) ) {
                        return new WP_Error( 'wpieError', __( 'Invalid file resource for detect Enclosure', 'wp-import-export' ) );
                }


                if ( !Helper::isNonEmptyStr( $delimiter ) ) {
                        return new WP_Error( 'wpieError', __( 'CSV file delimiter is Empty for detect Enclosure', 'wp-import-export' ) );
                }

                \rewind( $fp );

                $enclosure = Helper::isNonEmptyStr( $enclosure ) && mb_strlen( $enclosure ) === 1 ? $enclosure : '"';

                $data = \fgetcsv( $fp, null, $delimiter, $enclosure );

                $rowSize      = count( $data );
                $count        = 0;
                $newEnclosure = "'";
                foreach ( $data as $value ) {

                        if ( Helper::strStartsWith( $newEnclosure, $value ) && Helper::strEndsWith( $value, $newEnclosure ) ) {
                                $count++;
                                continue;
                        }
                        break;
                }

                \rewind( $fp );

                if ( $rowSize > 0 && $rowSize === $count ) {
                        $enclosure = $newEnclosure;
                }

                return $enclosure;
        }
}
