<?php


namespace WpieApp\Core\Page\Blocks\Fields;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Alert {

        
        public static function render( $field = [] ) {

                if ( !Helper::isNonEmptyArray( $field ) ) {
                        return;
                }

                $text = isset( $field[ "text" ] ) ? Helper::toString( $field[ "text" ] ) : "";

                if ( !Helper::isNonEmptyStr( $text ) ) {
                        return;
                }

                $alertClass = isset( $field[ "class" ] ) ? Helper::toString( $field[ "class" ] ) : "";

                $type = isset( $field[ "type" ] ) && Helper::isNonEmptyStr( $field[ "type" ] ) ? Helper::toString( $field[ "type" ] ) : "primary";

                $alertClass .= " alert-" . $type;

                $iconClass = isset( $field[ "icon-class" ] ) ? Helper::toString( $field[ "icon-class" ] ) : "";

                $preHtmlTags = isset( $field[ "preHtmlTags" ] ) && Helper::isNonEmptyArray( $field[ "preHtmlTags" ] ) ? $field[ "preHtmlTags" ] : [];
                ?>

                <div class="alert <?php echo \esc_attr( $alertClass ); ?>" role="alert"><i class="<?php echo \esc_attr( $iconClass ); ?> me-2"></i><?php echo \wp_kses( $text, Helper::ksesAllowedTags( $preHtmlTags ) ); ?></div>
                <?php
        }

        
        public static function addNotes( $notes = [] ) {

                if ( !Helper::isNonEmptyArray( $notes ) ) {
                        return;
                }

                foreach ( $notes as $note ) {
                        if ( !Helper::isNonEmptyArray( $note ) ) {
                                continue;
                        }

                        self::render( $note );
                }
        }
}
