<?php


namespace WpieApp\Core\Page\Blocks\Templates\ExportModal;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Core\Page\Blocks\Templates\Standard\Manager as Standard;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function render( $data = [] ) {

                $uid = Helper::randStr( "wpie-modal-" );

                $previewUid = Helper::randStr( "wpie-modal-" );

                $bgUid = Helper::randStr( "wpie-modal-" );
                ?>
                <div class="modal fade <?php echo esc_attr( $uid ); ?> wpie-export-review-modal">
                        <div class="modal-dialog  modal-dialog-centered modal-lg">
                                <div class="modal-content">
                                        <div class="modal-header">
                                                <h5 class="modal-title" ><?php esc_html_e( 'Export', 'wp-import-export' ); ?></h5>
                                                <button type="button" class="btn-close wpie-export-review-modal-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body bg-light pt-0">
                                                <div class="text-center p-4 m-auto bse-fs-18 mt-3">
                                                        <?php esc_html_e( 'Total', 'wp-import-export' ); ?>  <span class="wpie-export-review-total bse-fw-600 text-success">100</span> <span class="wpie-export-review-content-type bse-fw-600">Post</span> <?php esc_html_e( 'Founded', 'wp-import-export' ); ?>                                                       
                                                </div>
                                        </div>
                                        <div class="modal-footer">
                                                <!--<button type="button" class="btn btn-secondary btn-lg wpie-apply-filter-and-option-btn me-3" data-bs-dismiss="modal" aria-label="Close"><i class="bse-fs-14 me-1 fa-solid fa-gears"></i><?php esc_html_e( 'Apply Filter & options', 'wp-import-export' ); ?></button>-->                                                
                                                <button type="button" class="btn btn-secondary btn-lg me-3" data-bs-dismiss="modal" aria-label="Close"><i class="bse-fs-14 me-1 fa-solid fa-xmark"></i><?php esc_html_e( 'Close', 'wp-import-export' ); ?></button>
                                                <button type="button" class="btn btn-primary btn-lg wpie-preview-btn me-3" data-bs-dismiss="modal" aria-label="Close"><i class="bse-fs-14 me-1 fa-solid fa-eye"></i><?php esc_html_e( 'Preview', 'wp-import-export' ); ?></button>                                                
                                                <button type="button" class="btn btn-primary btn-lg wpie-export-btn wpie-direct-export-btn me-3" ><i class="bse-fs-14 me-1 fa-solid fa-file-export"></i><?php esc_html_e( 'Export', 'wp-import-export' ); ?></button>                                                
                                        </div>
                                </div>
                        </div>
                </div>
                <div class="modal fade <?php echo esc_attr( $previewUid ); ?> wpie-export-preview-modal">
                        <div class="modal-dialog modal-fullscreen modal-dialog-scrollable">
                                <div class="modal-content">
                                        <div class="modal-header">
                                                <h5 class="modal-title" ><?php esc_html_e( 'Preview', 'wp-import-export' ); ?></h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body bg-light pt-0">
                                                <div class="p-4 m-auto bse-fs-18 mt-3 wpie-preview-container"></div>
                                        </div>
                                        <div class="modal-footer d-none">
                <!--                                                <button type="button" class="btn btn-secondary btn-lg wpie-apply-filter-and-option-btn me-3" data-bs-dismiss="modal" aria-label="Close"><i class="bse-fs-14 me-1 fa-solid fa-gears"></i><?php esc_html_e( 'Apply Filter & options', 'wp-import-export' ); ?></button>                                                -->
                                                <button type="button" class="btn btn-primary btn-lg wpie-export-btn me-3" data-bs-dismiss="modal" aria-label="Close"><i class="bse-fs-14 me-1 fa-solid fa-file-export"></i><?php esc_html_e( 'Export', 'wp-import-export' ); ?></button>                                                
                                        </div>
                                </div>
                        </div>
                </div>
                <div class="modal fade <?php echo esc_attr( $bgUid ); ?> wpie-export-bg-notice-modal" >
                        <div class="modal-dialog  modal-dialog-centered modal-lg modal-dialog-scrollable">
                                <div class="modal-content">
                                        <div class="modal-header">
                                                <h5 class="modal-title" ><?php esc_html_e( 'Export In Background', 'wp-import-export' ); ?></h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body p-4 bg-white bg-opacity-75">
                                                <div class="wpie-backdrop container">
                                                        <div class="row text-center">                                        
                                                                <div class="col-12 mb-3">
                                                                        <i class="fa-solid fa-lock bse-fs-24 p-3 rounded-circle border border-danger text-danger border-2 "></i>
                                                                </div>                                        
                                                                <div class="col-12 mb-3 bse-fs-18 text-danger bse-fw-600">
                                                                        <?php esc_html_e( 'Setup Required', 'wp-import-export' ); ?>
                                                                </div>
                                                                <div class="col-12 mb-5 ">
                                                                        <?php esc_html_e( 'Export In Background required 2 min cron to export data. Please click on "Setup Guide" button for setup instruction.', 'wp-import-export' ); ?>
                                                                </div>
                                                                <div class="col-auto align-self-center m-auto">
                                                                        <a target="_blank" href="<?php echo \esc_url( Helper::adminUrl( 'wpie-background' ) ); ?>" target="_blank" class="shadow-none text-white btn btn-lg mx-3 btn-success"><i class="fa-solid fa-lock-open me-2"></i><?php esc_html_e( 'Setup Guide', 'wp-import-export' ); ?></a>
                                                                </div>                                       
                                                        </div>
                                                </div>
                                        </div>
                                </div>
                        </div>
                </div>
                <?php
        }

}
