<?php



namespace WpieApp\Extensions\Export\AllInOneSeo\Controller\Items\Post\DataCenters;

use WpieApp\Core\Helpers\Helper;
use AIOSEO\Plugin\Common\Models\Post;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenter;
use WpieApp\Core\Logger\Logger;

defined( 'WPIE__FILE__' ) || exit;


class Seo {

        
        private static $data = [];

        
        private static $id = 0;

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return "";
                }

                self::setData();

                $data = is_object( self::$data ) && isset( self::$data->$element ) ? self::$data->$element : "";

                if ( in_array( $element, [ 'keywords', 'og_article_tags' ] ) ) {
                        $data = self::jsonTagsToCommaSeparatedList( $data );
                }

                return $data;
        }

        
        public static function setData() {

                if ( self::$id === DataCenter::getId() ) {
                        return;
                }
                self::$id = DataCenter::getId();
                        
                self::$data = Post::getPost( DataCenter::getId() );
        }

        
        public static function jsonTagsToCommaSeparatedList( $tags = '' ) {

                $tags = Helper::isNonEmptyStr( $tags ) ? Helper::jsonDecode( $tags, true ) : $tags;

                if ( \is_wp_error( $tags ) ) {

                        Logger::log( "<strong>" . __( "ERROR", 'wp-import-export' ) . "</strong> : " . $tags->get_error_message() );

                        return '';
                }

                if ( !Helper::isNonEmptyArray( $tags ) ) {
                        return '';
                }

                $data = \wp_list_pluck( $tags, 'value' );

                if ( !Helper::isNonEmptyArray( $data ) ) {
                        return '';
                }

                return Helper::arrTostr( $data );
        }
}
