<?php



namespace WpieApp\Extensions\Export\RankMathSeo\Controller\Items\Taxonomy\DataCenters;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Robots {

        
        private static $data = [];

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return "";
                }

                $key = Helper::leftTrim( $element, 'robots-' );

                self::setData();

                $termId = DataCenter::getId();

                return isset( self::$data[ $termId ][ $key ] ) ? self::$data[ $termId ][ $key ] : "";
        }

        
        private static function setData() {

                $termId = DataCenter::getId();

                if ( isset( self::$data[ $termId ] ) ) {
                        return;
                }

                self::$data = [ $termId => self::getRobots() ];
        }

        
        private static function getRobots() {

                $termId = DataCenter::getId();

                $robotMeta = \get_term_meta( $termId, 'rank_math_robots', true );
                $robotMeta = Helper::isNonEmptyArray( $robotMeta ) ? array_combine( $robotMeta, array_fill( 0, count( $robotMeta ), '1' ) ) : [];

                $advancedRobotMeta = \get_term_meta( $termId, 'rank_math_advanced_robots', true );

                return array_merge(
                        Helper::isNonEmptyArray( $robotMeta ) ? $robotMeta : [],
                        Helper::isNonEmptyArray( $advancedRobotMeta ) ? $advancedRobotMeta : []
                );
        }

}
