<?php



namespace WpieApp\Extensions\Export\RankMathSeo\Controller\Items\Taxonomy\DataCenters;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Seo {

        
        private static $data = [];

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return "";
                }

                $data = "";

                if ( Helper::strStartsWith( 'robots', $element ) ) {
                        $data = Robots::getField();
                } elseif ( Helper::strStartsWith( 'schema', $element ) ) {
                        $data = Schema::getField();
                } elseif ( Helper::strStartsWith( 'redirect', $element ) ) {
                        $data = Redirect::getField();
                }

                
                return \apply_filters( 'Wpie/Export/Taxonomy/RankMathSeo/Data', $data, $element, Settings::getContentType() );
        }

}
