<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Coupon\Fields;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Items\Post\Fields\Meta as PostMeta;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Meta extends PostMeta implements InterfaceField {

        
        public static function getCouponMetas() {

                return [
                        'discount_type', 'coupon_amount', 'free_shipping', 'date_expires',
                        'usage_limit', 'limit_usage_to_x_items', 'usage_limit_per_user',
                        'minimum_amount', 'maximum_amount', 'individual_use', 'exclude_sale_items',
                        'product_ids', 'exclude_product_ids', 'product_categories',
                        'exclude_product_categories', 'customer_email', '_used_by', 'usage_count'
                ];
        }

        
        protected static function getExcludesMeta( $type = "" ) {

                $postExcludes = parent::getExcludesMeta( $type );

                $excludes = static::getCouponMetas();

                
                $excludes = apply_filters( 'Wpie/Export/Coupon/Fields/Meta/Excludes', array_merge( $postExcludes, $excludes ), $type );

                return Helper::isNonEmptyArray( $excludes ) ? array_unique( $excludes ) : [];
        }
}
