<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Legacy\Filters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Legacy\Filter;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields\Meta as MetaField;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields\Standard as StandardField;

defined( 'WPIE__FILE__' ) || exit;


class Customer extends Base {

        
        public static function addRule() {

                $element = Filter::getOption( "element", "field" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return false;
                }

                if ( 'customer_note' === $element ) {
                        self::update( [ 'customer_note' => 'post_excerpt' ], $element, StandardField::FIELD_TYPE );
                        return;
                }

                $fields = [
                        'customer_id'         => '_customer_user',
                        'billing_first_name'  => '_billing_first_name',
                        'billing_last_name'   => '_billing_last_name',
                        'billing_company'     => '_billing_company',
                        'billing_address_1'   => '_billing_address_1',
                        'billing_address_2'   => '_billing_address_2',
                        'billing_city'        => '_billing_city',
                        'billing_postcode'    => '_billing_postcode',
                        'billing_country'     => '_billing_country',
                        'billing_state'       => '_billing_state',
                        'billing_email'       => '_billing_email',
                        'billing_phone'       => '_billing_phone',
                        'shipping_first_name' => '_shipping_first_name',
                        'shipping_last_name'  => '_shipping_last_name',
                        'shipping_company'    => '_shipping_company',
                        'shipping_address_1'  => '_shipping_address_1',
                        'shipping_address_2'  => '_shipping_address_2',
                        'shipping_city'       => '_shipping_city',
                        'shipping_postcode'   => '_shipping_postcode',
                        'shipping_country'    => '_shipping_country',
                        'shipping_state'      => '_shipping_state',
                ];

                self::update( $fields, $element, MetaField::FIELD_TYPE );

                unset( $fields );
        }
}
