<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Legacy\Filters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Legacy\Filter;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields\Standard as StandardField;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields\Meta as MetaField;

defined( 'WPIE__FILE__' ) || exit;


class Standard extends Base {

        
        public static function addRule() {

                $element = Filter::getOption( "element", "field" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return false;
                }

                $fields = [
                        'id'           => 'ID',
                        'type'         => 'post_type',
                        'date_created' => 'post_date',
                        'status'       => 'post_status',
                ];

                self::update( $fields, $element, StandardField::FIELD_TYPE );

                if ( 'status' == $element ) {
                        StandardField::updateStatus();
                }

                $metaFields = [
                        'order_key'            => '_order_key',
                        'date_completed'       => '_completed_date',
                        'currency'             => '_order_currency',
                        'payment_method_title' => '_payment_method_title',
                        'total'                => '_order_total',
                ];

                self::update( $metaFields, $element, MetaField::FIELD_TYPE );

                unset( $fields, $metaFields );
        }
}
