<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters\Refund;

use WpieApp\Core\Utils\User;
use WpieApp\Modules\Export\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Item {

        
        private static $id = 0;

        
        private static $items = [];

        
        public static function get( $element, $refund ) {

                self::setItems( $refund );

                if ( !Helper::isNonEmptyArray( self::$items ) ) {
                        return '';
                }

                $data = [];

                foreach ( self::$items as $item ) {

                        switch ( $element ) {

                                case 'items':
                                        $data[] = $item->get_name();
                                        break;
                                case 'item_quantity':
                                        $data[] = $item->get_quantity();
                                        break;
                                case 'item_total':
                                        $data[] = $item->get_total();
                                        break;
                                case 'item_tax':
                                        $taxes  = $item->get_taxes();
                                        $data[] = isset( $taxes[ 'total' ] ) ? $taxes[ 'total' ] : '';
                                        break;
                        }
                }


                return $data;
        }

        
        private static function setItems( $refund ) {

                if ( self::$id === $refund->get_id() ) {
                        return;
                }

                self::$id = $refund->get_id();

                self::$items = method_exists( $refund, 'get_items' ) ? $refund->get_items() : [];
        }
}
