<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Customer {

        
        const FIELD_TYPE = "customer";

        
        public static function get() {


                $fields = [
                        "title"    => \esc_html__( "Customer", 'wp-import-export' ),
                        "priority" => 30,
                        "data"     => [
                                //Customer User
                                [ 'label' => 'Customer user', 'type' => self::FIELD_TYPE, 'element' => 'customer_id' ],
                                [ 'label' => 'Customer Note', 'type' => self::FIELD_TYPE, 'element' => 'customer_note' ],
                                [ 'label' => 'Customer User Email', 'type' => self::FIELD_TYPE, 'element' => 'customer_email', 'isFiltered' => false ],
                                //Billing Fields
                                [ 'label' => 'Billing first name', 'type' => self::FIELD_TYPE, 'element' => 'billing_first_name' ],
                                [ 'label' => 'Billing last name', 'type' => self::FIELD_TYPE, 'element' => 'billing_last_name' ],
                                [ 'label' => 'Billing company', 'type' => self::FIELD_TYPE, 'element' => 'billing_company' ],
                                [ 'label' => 'Billing address 1', 'type' => self::FIELD_TYPE, 'element' => 'billing_address_1' ],
                                [ 'label' => 'Billing address 2', 'type' => self::FIELD_TYPE, 'element' => 'billing_address_2' ],
                                [ 'label' => 'Billing city', 'type' => self::FIELD_TYPE, 'element' => 'billing_city' ],
                                [ 'label' => 'Billing postcode', 'type' => self::FIELD_TYPE, 'element' => 'billing_postcode' ],
                                [ 'label' => 'Billing country', 'type' => self::FIELD_TYPE, 'element' => 'billing_country' ],
                                [ 'label' => 'Billing state', 'type' => self::FIELD_TYPE, 'element' => 'billing_state' ],
                                [ 'label' => 'Billing email', 'type' => self::FIELD_TYPE, 'element' => 'billing_email' ],
                                [ 'label' => 'Billing phone', 'type' => self::FIELD_TYPE, 'element' => 'billing_phone' ],
                                //Shipping Fields
                                [ 'label' => 'Shipping first name', 'type' => self::FIELD_TYPE, 'element' => 'shipping_first_name' ],
                                [ 'label' => 'Shipping last name', 'type' => self::FIELD_TYPE, 'element' => 'shipping_last_name' ],
                                [ 'label' => 'Shipping company', 'type' => self::FIELD_TYPE, 'element' => 'shipping_company' ],
                                [ 'label' => 'Shipping address 1', 'type' => self::FIELD_TYPE, 'element' => 'shipping_address_1' ],
                                [ 'label' => 'Shipping address 2', 'type' => self::FIELD_TYPE, 'element' => 'shipping_address_2' ],
                                [ 'label' => 'Shipping city', 'type' => self::FIELD_TYPE, 'element' => 'shipping_city' ],
                                [ 'label' => 'Shipping postcode', 'type' => self::FIELD_TYPE, 'element' => 'shipping_postcode' ],
                                [ 'label' => 'Shipping country', 'type' => self::FIELD_TYPE, 'element' => 'shipping_country' ],
                                [ 'label' => 'Shipping state', 'type' => self::FIELD_TYPE, 'element' => 'shipping_state' ],
                                [ 'label' => 'Shipping phone', 'type' => self::FIELD_TYPE, 'element' => 'shipping_phone' ],
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Order/Fields/Customer', $fields, Settings::getContentType() );
        }

}
