<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Item implements InterfaceField {

        
        const FIELD_TYPE = "item";

        
        public static function get() {

                $fields = [
                        "title"    => \esc_html__( "Item", 'wp-import-export' ),
                        "priority" => 40,
                        "data"     => [
                                [ 'label' => 'Product ID', 'type' => self::FIELD_TYPE, 'element' => 'product_id' ],
                                [ 'label' => 'Variation ID', 'type' => self::FIELD_TYPE, 'element' => 'variation_id' ],
                                [ 'label' => 'Total Item Quantity', 'type' => self::FIELD_TYPE, 'element' => 'total_items' ],
                                [ 'label' => 'Total different Items', 'type' => self::FIELD_TYPE, 'element' => 'total_different_items', 'isFiltered' => false ],
                                [ 'label' => 'SKU', 'type' => self::FIELD_TYPE, 'element' => 'product_sku', 'isFiltered' => false ],
                                [ 'label' => 'Item Name', 'type' => self::FIELD_TYPE, 'element' => 'product_title' ],
                                [ 'label' => 'Product Name', 'type' => self::FIELD_TYPE, 'element' => 'original_product_title', 'isFiltered' => false ],
                                [ 'label' => 'Variation Attributes', 'type' => self::FIELD_TYPE, 'element' => 'variation_attributes', 'isFiltered' => false ],
                                [ 'label' => 'Quantity', 'type' => self::FIELD_TYPE, 'element' => 'quantity', 'isFiltered' => false ],
                                [ 'label' => 'Item Cost', 'type' => self::FIELD_TYPE, 'element' => 'subtotal', 'isFiltered' => false ],
                                [ 'label' => 'Item Total', 'type' => self::FIELD_TYPE, 'element' => 'total', 'isFiltered' => false ],
                                [ 'label' => 'Item Tax Subtotal', 'type' => self::FIELD_TYPE, 'element' => 'subtotal_tax', 'isFiltered' => false ],
                                [ 'label' => 'Item Tax Total', 'type' => self::FIELD_TYPE, 'element' => 'total_tax', 'isFiltered' => false ],
                                //  [ 'label' => 'Item Tax Data', 'type' => self::FIELD_TYPE, 'element' => 'taxes', 'isFiltered' => false ],
                                [ 'label' => 'Item Meta', 'type' => self::FIELD_TYPE, 'element' => 'meta', 'isFiltered' => false ]
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Order/Fields/Item', $fields, Settings::getContentType() );
        }
}
