<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Note implements InterfaceField {

        
        const FIELD_TYPE = "note";

        
        public static function get() {

                $fields = [
                        "title"      => \esc_html__( "Notes", 'wp-import-export' ),
                        "priority"   => 130,
                        'isFiltered' => false,
                        "data"       => [
                                [ 'label' => 'Note Content', 'type' => self::FIELD_TYPE, 'element' => 'content' ],
                                [ 'label' => 'Note Date', 'type' => self::FIELD_TYPE, 'element' => 'date' ],
                                [ 'label' => 'Note Visibility', 'type' => self::FIELD_TYPE, 'element' => 'visibility' ],
                                [ 'label' => 'Note User', 'type' => self::FIELD_TYPE, 'element' => 'added_by' ],
                                [ 'label' => 'Note User Email', 'type' => self::FIELD_TYPE, 'element' => 'added_by_email' ]
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Order/Fields/Notes', $fields, Settings::getContentType() );
        }

}
