<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Refund implements InterfaceField {

        
        const FIELD_TYPE = "refund";

        
        public static function get() {

                $fields = [
                        "title"      => \esc_html__( "Refunds", 'wp-import-export' ),
                        "priority"   => 140,
                        'isFiltered' => false,
                        "data"       => [
                                [ 'label' => 'Refund Amounts', 'type' => self::FIELD_TYPE, 'element' => 'amount' ],
                                [ 'label' => 'Refund Reason', 'type' => self::FIELD_TYPE, 'element' => 'reason' ],
                                [ 'label' => 'Refund By', 'type' => self::FIELD_TYPE, 'element' => 'author_email' ],
                                [ 'label' => 'Refund Date', 'type' => self::FIELD_TYPE, 'element' => 'date' ],
                                [ 'label' => 'Refund Items', 'type' => self::FIELD_TYPE, 'element' => 'items' ],
                                [ 'label' => 'Refund Item Quantity', 'type' => self::FIELD_TYPE, 'element' => 'item_quantity' ],
                                [ 'label' => 'Refund Item Total', 'type' => self::FIELD_TYPE, 'element' => 'item_total' ],
                                [ 'label' => 'Refund Item Tax', 'type' => self::FIELD_TYPE, 'element' => 'item_tax' ],
                                [ 'label' => 'Refund Fee', 'type' => self::FIELD_TYPE, 'element' => 'fee' ],
                                [ 'label' => 'Refund Fee Tax', 'type' => self::FIELD_TYPE, 'element' => 'fee_tax' ],
                                [ 'label' => 'Refund Fee Total', 'type' => self::FIELD_TYPE, 'element' => 'fee_total' ],
                                [ 'label' => 'Refund Shipping', 'type' => self::FIELD_TYPE, 'element' => 'shipping' ],
                                [ 'label' => 'Refund Shipping Tax', 'type' => self::FIELD_TYPE, 'element' => 'shipping_tax' ],
                                [ 'label' => 'Refund Shipping Total', 'type' => self::FIELD_TYPE, 'element' => 'shipping_total' ],
                        //     [ 'label' => 'Refund Meta', 'type' => self::FIELD_TYPE, 'element' => 'meta' ],
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Order/Fields/Refunds', $fields, Settings::getContentType() );
        }

}
