<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filter;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filters\Tables\OperationalDataTable;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filters\Tables\OrderTable;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filters\Tables\AddressesTable;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filters\Tables\StatsTable;

defined( 'WPIE__FILE__' ) || exit;


class BaseTable {

        
        public static function addRule() {

                $table = Filter::getOption( "table", "field" );

                switch ( $table ) {
                        case 'operational_data':
                                OperationalDataTable::addRule();
                                break;
                        case 'stats':
                                StatsTable::addRule();
                                break;
                        case 'addresses':
                                AddressesTable::addRule();
                                break;
                        default:
                                OrderTable::addRule();
                                break;
                }
        }

}
