<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filters\Tables;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filter;
use WpieApp\Modules\Export\Controller\Items\Base\Filters\Filter as BaseFilter;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Query\OperationalData;

defined( 'WPIE__FILE__' ) || exit;


class OperationalDataTable extends BaseFilter {

        
        protected static $isJoinQueryAdded = false;

        
        public static function addRule() {

                $element = Filter::getOption( "element", "field" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return false;
                }

                $element = self::mapFields( $element );

                $condition = Filter::getOption( 'condition' );

                $data = Filter::getOption( 'value' );

                $field = OperationalData::getTableAlias() . "." . $element;

                $comparison = Filter::getOption( 'comparison' );

                $rule = Filter::bulidRule( $field, $data, $condition, $comparison );

                Filter::addWhere( $rule );

                self::addJoinQuery();
        }

        
        public static function addJoinQuery() {

                if ( self::$isJoinQueryAdded ) {
                        return;
                }

                self::$isJoinQueryAdded = true;

                Filter::addJoin( OperationalData::getJoin() );
        }

        
        private static function mapFields( $element ) {

                $mapping = [
                        'date_completed' => 'date_completed_gmt',
                        'discount_tax'   => 'discount_tax_amount',
                        'shipping_tax'   => 'shipping_tax_amount',
                ];

                return str_replace( array_keys( $mapping ), array_values( $mapping ), $element );
        }
}
