<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Export\Controller\Items\Post\Fields\Standard as PostStandard;

defined( 'WPIE__FILE__' ) || exit;


class Standard extends PostStandard implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "title"    => \esc_html__( "Standard", 'wp-import-export' ),
                        "priority" => 10,
                        "data"     => [
                                [ 'label' => 'ID', 'type' => parent::FIELD_TYPE, 'element' => 'ID' ],
                                [ 'label' => 'Product Name', 'type' => parent::FIELD_TYPE, 'element' => 'post_title' ],
                                [ 'label' => 'Product description', 'type' => parent::FIELD_TYPE, 'element' => 'post_content' ],
                                [ 'label' => 'Product short description', 'type' => parent::FIELD_TYPE, 'element' => 'post_excerpt' ],
                                [ 'label' => 'Date', 'type' => parent::FIELD_TYPE, 'element' => 'post_date', 'isDate' => true ],
                                [ 'label' => 'Post Type', 'type' => parent::FIELD_TYPE, 'element' => 'post_type' ],
                                [ 'label' => 'Slug', 'type' => parent::FIELD_TYPE, 'element' => 'post_name' ],
                                [ 'label' => 'Permalink', 'type' => parent::FIELD_TYPE, 'element' => 'guid' ]
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Product/Fields/Standard', $fields );
        }

}
