<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Review\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Export\Controller\Items\Comment\Fields\Standard as CommentStandard;
use WpieApp\Modules\Export\Controller\Items\Comment\Fields\Meta as CommentMeta;

defined( 'WPIE__FILE__' ) || exit;


class Standard implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "title"    => \esc_html__( "Standard", 'wp-import-export' ),
                        "priority" => 10,
                        "data"     => [
                                [ 'label' => 'ID', 'type' => CommentStandard::FIELD_TYPE, 'element' => 'comment_ID' ],
                                [ 'label' => 'Content', 'type' => CommentStandard::FIELD_TYPE, 'element' => 'comment_content' ],
                                [ 'label' => 'Rating', 'type' => CommentMeta::FIELD_TYPE, 'element' => 'rating' ],
                                [ 'label' => 'Approved', 'type' => CommentStandard::FIELD_TYPE, 'element' => 'comment_approved' ],
                                [ 'label' => 'Verified', 'type' => CommentMeta::FIELD_TYPE, 'element' => 'verified' ],
                                [ 'label' => 'Date', 'type' => CommentStandard::FIELD_TYPE, 'element' => 'comment_date', 'isDate' => true ],
                                [ 'label' => 'Date(GMT)', 'type' => CommentStandard::FIELD_TYPE, 'element' => 'comment_date_gmt', 'isDate' => true ],
                                [ 'label' => 'Type', 'type' => CommentStandard::FIELD_TYPE, 'element' => 'comment_type' ],
                                
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Review/Fields/Standard', $fields );
        }

}
