<?php



namespace WpieApp\Extensions\Export\YoastSeo\Controller\Items\Taxonomy\DataCenters;

use WPSEO_Taxonomy_Meta;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Seo {

        
        private static $data = [];

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return "";
                }


                self::setData();

                $termId = DataCenter::getId();

                $data = isset( self::$data[ $termId ][ $element ] ) ? self::$data[ $termId ][ $element ] : "";

                
                return \apply_filters( 'Wpie/Export/Taxonomy/YoastSeo/Data', $data, $element, Settings::getContentType() );
        }

        
        private static function setData() {

                $termId = DataCenter::getId();

                if ( isset( self::$data[ $termId ] ) ) {
                        return;
                }

                $taxonomy = Settings::getContentType();

                self::$data = [ $termId => WPSEO_Taxonomy_Meta::get_term_meta( DataCenter::getItem(), $taxonomy ) ];
        }

}
