<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Base;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Field {

        
        public static function getKey( $field = [] ) {

                if ( !Helper::isNonEmptyArray( $field ) ) {
                        return '';
                }

                $key = isset( $field[ 'key' ] ) ? $field[ 'key' ] : '';

                $prefix = isset( $field[ 'prefix' ] ) ? $field[ 'prefix' ] : '';

                if ( !Helper::isNonEmptyStr( $prefix ) || 'acf' === $prefix ) {
                        return $key;
                }

                $prefix = Helper::strToArr( \mb_substr( $prefix, 4, -1 ), '][' );

                return Helper::arrTostr( $prefix, '/' ) . '/' . $key;
        }
}
