<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Facebook\Title;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Facebook\Description;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Facebook\ImageType;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Facebook\Video;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Facebook\ObjectType;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Facebook\ArticleSection;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Facebook\ArticleTags;

defined( 'WPIE__FILE__' ) || exit;


class Facebook implements InterfaceField {

        
        protected static $type = 'post';

        
        public static function get() {

                return [
                        "label"        => __( 'All In One SEO - Facebook', 'wp-import-export' ),
                        "class"        => "wpie-allinoneseo-facebook-fields",
                        "order"        => 32.1,
                        "pro-backdrop" => WPIE_PRO ? false : true,
                        "blocks"       => static::getFields()
                ];
        }

        
        protected static function getFields() {

                return [
                        "allinoneseo/facebook/title"           => Title::getBlocks(),
                        "allinoneseo/facebook/description"     => Description::getBlocks(),
                        "allinoneseo/facebook/image_type"      => ImageType::getBlocks( static::$type ),
                        "allinoneseo/facebook/video"           => Video::getBlocks(),
                        "allinoneseo/facebook/object_type"     => ObjectType::getBlocks(),
                        "allinoneseo/facebook/article_section" => ArticleSection::getBlocks(),
                        "allinoneseo/facebook/article_tags"    => ArticleTags::getBlocks(),
                ];
        }
}
