<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Facebook;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class ImageType {

        
        public static function getBlocks( $type = '' ) {

                $choices = self::getSource( $type );

                $choices[ "as_specified" ] = __( "As specified", 'wp-import-export' );

                return [
                        "title"  => __( 'Image Source', 'wp-import-export' ),
                        "desc"   => __( 'Facebook Image Source', 'wp-import-export' ),
                        "order"  => 30,
                        "fields" => [
                                "image_type"          => [
                                        "order"      => 5,
                                        "label"      => __( 'Image Source', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "image_type" => [
                                                        "description"   => __( "SEO Facebook Image Source", 'wp-import-export' ),
                                                        "name"          => "fields/allinoneseo/facebook/image_type/data",
                                                        "type"          => "radio",
                                                        "default"       => "as_specified",
                                                        "choices"       => $choices,
                                                        "choices-class" => [
                                                                "default"      => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "image_type-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "image_type" => [
                                                                                                "name"  => "fields/allinoneseo/facebook/image_type/data_as_specified",
                                                                                                "order" => 5,
                                                                                                "type"  => "text",
                                                                                                "hint"  => [
                                                                                                        [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'Default : default', 'wp-import-export' ) ],
                                                                                                         /* translators: %s: Facebook Image Source */
                                                                                                        [ 'text' => sprintf( __( '%s all values are supported', 'wp-import-export' ), implode( ", ", array_keys( self::getSource($type) ) ) ) ],
                                                                                                ],
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ],
                                                        ],
                                                ]
                                        ],
                                ],
                                "image_custom_fields" => [
                                        "order"      => 10,
                                        "label"      => __( 'Facebook Custom Field Name', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "image_custom_fields" => [
                                                        "description" => __( "SEO Facebook Custom Field Name", 'wp-import-export' ),
                                                        "name"        => "fields/allinoneseo/facebook/image_custom_fields/data",
                                                        "type"        => "text",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Only applied if image source is custom field name', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ]
                                                ]
                                        ],
                                ],
                                "image_custom_url"    => [
                                        "order"      => 15,
                                        "label"      => __( 'Facebook Custom Image URL', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "image_custom_url" => [
                                                        "description" => __( "SEO Facebook Custom Image URL", 'wp-import-export' ),
                                                        "name"        => "fields/allinoneseo/facebook/image_custom_url/data",
                                                        "type"        => "text",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Only applied if image source is Custom Image', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ]
                                                ]
                                        ],
                                ]
                        ]
                ];
        }

        
        public static function getSource( $type = '' ) {

                $options = [
                        'default'      => __( 'Default Image Source (Set in Social Networks)', 'wp-import-export' ),
                        'custom'       => __( 'Image from Custom Field', 'wp-import-export' ),
                        'custom_image' => __( 'Custom Image', 'wp-import-export' ),
                ];

                if ( 'taxonomy' === $type ) {

                        return $options;
                }

                return array_merge( $options, [
                        'featured' => __( 'Featured Image', 'wp-import-export' ),
                        'attach'   => __( 'Attached Image', 'wp-import-export' ),
                        'content'  => __( 'First Image in Content', 'wp-import-export' ),
                        'author'   => __( 'Post Author Image', 'wp-import-export' ),
                        'auto'     => __( 'First Available Image', 'wp-import-export' )
                        ]
                );
        }
}
