<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Post;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;
use WpieApp\Modules\Import\Controller\Items\Post\Engines\Meta;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Post\Engines\General;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Post\Engines\Facebook;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Post\Engines\Twitter;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Post\Engines\Advanced;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Post\Engines\Schema;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Engines\Redirection;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Engine as Base;

defined( 'WPIE__FILE__' ) || exit;


class Engine extends Base {

        
        public static function update() {

                Redirection::update( 'post', \get_permalink( DataCenter::getId() ) );

                $data = \array_merge(
                        General::get(),
                        Advanced::get(),
                        Schema::get(),
                        Facebook::get(),
                        Twitter::get()
                );

                if ( !Helper::isNonEmptyArray( $data ) ) {
                        return;
                }

                foreach ( $data as $key => $val ) {
                        Meta::updateMeta( self::PREFIX . $key, $val );
                }

                unset( $data );
        }

        
        public static function isValid() {

                if ( self::isVariation() ) {
                        return false;
                }

                return true;
        }

        
        public static function isVariation() {

                if ( 'wc' !== Settings::get( 'category' ) || 'product' !== Settings::get( 'content_type' ) ) {
                        return false;
                }

                if ( 'product_variation' !== DataCenter::getItem()->post_type ) {
                        return false;
                }

                return true;
        }
}
