<?php


namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Attribute;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Term\AutoDetect as Base;

defined( 'WPIE__FILE__' ) || exit;


class AutoDetect extends Base {

        
        protected static function processField( $field = '' ) {

                static::updateStandard( $field );

                static::updateAttributes( $field );
        }

        
        protected static function updateStandard( $field = "" ) {

                $fields = [
                        'termname'        => 'name',
                        'termslug'        => 'slug',
                        'termdescription' => 'description',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'standard/' . $fields[ $field ], $field );
        }

        
        protected static function updateAttributes( $field = "" ) {

                $fields = [
                        'attributename'           => 'name',
                        'attributeslug'           => 'slug',
                        'attributeenablearchives' => 'enable_archive',
                        'attributetype'           => 'type',
                        'attributeorderby'        => 'order_by',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'attribute/' . $fields[ $field ], $field );
        }
}
