<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon;

use WpieApp\Modules\Import\Controller\Items\Post\Engine as PostEngine;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Engines\Standard;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Engines\Usage;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Engines\UsageRestriction;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Engines\UsageLimits;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Engines\Meta;
use WpieApp\Modules\Import\Controller\Items\Post\Engines\Standard as PostStandard;
use WpieApp\Modules\Import\Controller\Items\Post\Engines\Other;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;
use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Engine extends PostEngine {

        
        protected static function updatePost() {

                static::updateMeta();

                self::updateCoupon();
        }

        
        protected static function updateCoupon() {

                Standard::update();

                Usage::update();

                UsageRestriction::update();

                UsageLimits::update();
        }

        
        protected static function updateMeta() {

                Meta::import();
        }

        
        public static function searchDuplicates() {

                $searchMethod = DataCenter::get( "search/method" );

                $postType = Settings::get( 'content_type' );

                $id = 0;

                switch ( $searchMethod ) {

                        case "meta":
                                $id = parent::searchDuplicates();
                                break;

                        default:
                                $id = AutoSearch::get( $searchMethod, [ 'postType' => $postType ] );
                                break;
                }

                return $id;
        }

}
