<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\ExistingItemsFields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\ExistingItemsFields\Standard as BaseStandard;

defined( 'WPIE__FILE__' ) || exit;


class Standard extends BaseStandard {

        
        public static function getFields() {

                $contentType = Settings::getContentLabel();

                return [
                        "type"        => "radio",
                        "order"       => 10,
                        "name"        => "search/method",
                        "class"       => "existing-item-serach-by",
                        "default"     => "auto",
                        "description" => __( 'Search Item on your site based on...', 'wp-import-export' ),
                        "choices"     => [
                                "auto"    => "Auto Detect",
                                "title"   => "Code",
                                "slug"    => "Slug",
                                "excerpt" => "Description",
                                "id"      => $contentType . " ID",
                                "meta"    => "Meta"
                        ],
                        "hints"       => [
                                "auto"    => __( "Auto Detect Item from mapping and file data", 'wp-import-export' ),
                                /* translators: %s: Content type */
                                "title"   => sprintf( __( "Search %s by Code", 'wp-import-export' ), $contentType ),
                                /* translators: %s: Content type */
                                "slug"    => sprintf( __( "Search %s by Slug", 'wp-import-export' ), $contentType ),
                                /* translators: %s: Content type */
                                "excerpt" => sprintf( __( "Search %s by Description", 'wp-import-export' ), $contentType ),
                                /* translators: %s: Content type */
                                "id"      => sprintf( __( "Search %s by ID", 'wp-import-export' ), $contentType ),
                                /* translators: %s: Content type */
                                "meta"    => sprintf( __( "Search %s by Meta", 'wp-import-export' ), $contentType ),
                        ],
                        "fields"      => [
                                "title"   => [
                                        "post_title" => [
                                                "order"      => 5,
                                                "sub-fields" => [
                                                        "title" => [
                                                                "type"        => "textarea",
                                                                "order"       => 10,
                                                                "name"        => "fields/search/title",
                                                                /* translators: %s: Content type */
                                                                "placeholder" => sprintf( __( "Enter %s code here...", 'wp-import-export' ), $contentType ),
                                                                "description" => __( 'Leave empty for auto get code value from Field Mapping steps', 'wp-import-export' ),
                                                        ]
                                                ]
                                        ]
                                ],
                                "slug"    => [
                                        "post_slug" => [
                                                "order"      => 5,
                                                "sub-fields" => [
                                                        "slug" => [
                                                                "type"        => "textarea",
                                                                "order"       => 20,
                                                                "name"        => "fields/search/slug",
                                                                /* translators: %s: Content type */
                                                                "placeholder" => sprintf( __( "Enter %s slug here...", 'wp-import-export' ), $contentType ),
                                                                "description" => __( 'Leave empty for auto get slug value from Field Mapping steps', 'wp-import-export' ),
                                                        ]
                                                ]
                                        ]
                                ],
                                "excerpt" => [
                                        "post_excerpt" => [
                                                "order"      => 5,
                                                "sub-fields" => [
                                                        "excerpt" => [
                                                                "type"        => "textarea",
                                                                "order"       => 20,
                                                                "name"        => "fields/search/excerpt",
                                                                /* translators: %s: Content type */
                                                                "placeholder" => sprintf( __( "Enter %s Description here...", 'wp-import-export' ), $contentType ),
                                                                "description" => __( 'Leave empty for auto get Description value from Field Mapping steps', 'wp-import-export' ),
                                                        ]
                                                ]
                                        ]
                                ],
                                "id"      => [
                                        "post_id" => [
                                                "order"      => 5,
                                                "sub-fields" => [
                                                        "as-specified" => [
                                                                "type"        => "textarea",
                                                                "order"       => 20,
                                                                "name"        => "fields/search/id",
                                                                /* translators: %s: Content type */
                                                                "placeholder" => sprintf( __( "Enter %s id here...", 'wp-import-export' ), $contentType ),
                                                        //  "description" => __( 'Please Fill id field below', 'wp-import-export' ),
                                                        ]
                                                ]
                                        ]
                                ],
                                "meta"    => [
                                        "post_meta" => [
                                                "order"      => 5,
                                                "sub-fields" => [
                                                        "meta-key" => [
                                                                "type"        => "text",
                                                                "order"       => 10,
                                                                "name"        => "fields/search/meta/key",
                                                                "description" => __( 'Please Fill Meta Key field below', 'wp-import-export' ),
                                                        ],
                                                        "meta-val" => [
                                                                "type"        => "text",
                                                                "order"       => 20,
                                                                "name"        => "fields/search/meta/value",
                                                                "description" => __( 'Please Fill Meta Value field below', 'wp-import-export' ),
                                                        ]
                                                ]
                                        ]
                                ]
                        ]
                ];
        }
}
