<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageRestriction;

defined( 'WPIE__FILE__' ) || exit;


class ExcludeProductCategories {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Exclude Product categories', 'wp-import-export' ),
                        "desc"   => __( 'Exclude Product categories', 'wp-import-export' ),
                        "order"  => 80,
                        "fields" => [
                                "exclude_product_categories" => [
                                        "order"      => 10,
                                        "label"      => __( 'Exclude Product categories', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "exclude_product_categories" => [
                                                        "description" => __( "Set the product categories this coupon cannot be used with", 'wp-import-export' ),
                                                        "name"        => "fields/restriction/exclude_product_categories/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Enter categories name or slug', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                                [ 'text' => __( 'multiple categories are separated by comma', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                "separator"                  => [
                                                        "description" => __( 'Multiple product categories are separated by', 'wp-import-export' ),
                                                        "name"        => "fields/restriction/exclude_product_categories/separator",
                                                        "type"        => "textarea",
                                                        "value"       => "||",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Default: ||', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
