<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\DataCenter;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines\Items\Product as ProductItem;

defined( 'WPIE__FILE__' ) || exit;


class Product Extends ItemBase {

        
        protected static $type = 'product';

        
        protected static function parepare() {

                self::parepareData( 'name' );
                self::parepareData( 'item-name', false );
                self::parepareData( 'item-subtotal' );
                self::parepareData( 'item-total' );
                self::parepareData( 'quantity' );
                self::parepareData( 'sku' );
                self::parepareJSONData( 'variation-attributes' );
                self::parepareJSONData( 'subtotal-tax' );
                self::parepareJSONData( 'total-tax' );
                self::parepareJSONData( 'meta' );
        }

        
        protected static function processItem( $index = 0 ) {

                $totalTax    = self::getData( 'total-tax', $index );
                $subtotalTax = self::getData( 'subtotal-tax', $index );
                $item        = [
                        'name'                 => self::getData( 'name', $index ),
                        'item-name'            => self::getData( 'item-name', $index ),
                        'quantity'             => self::getData( 'quantity', $index ),
                        'subtotal'             => self::getData( 'item-subtotal', $index ),
                        'total'                => self::getData( 'item-total', $index ),
                        'tax'                  => [
                                'total'    => Helper::isNonEmptyArray( $totalTax ) ? self::getTaxRateIds( array_values( $totalTax ) ) : [],
                                'subtotal' => Helper::isNonEmptyArray( $subtotalTax ) ? self::getTaxRateIds( array_values( $subtotalTax ) ) : [],
                        ],
                        'sku'                  => self::getData( 'sku', $index ),
                        'variation-attributes' => self::getData( 'variation-attributes', $index ),
                        'meta'                 => self::getData( 'meta', $index )
                ];

                if ( !Helper::isNonEmptyStr( $item[ 'item-name' ] ) && !Helper::isNonEmptyStr( $item[ 'name' ] ) && !Helper::isNonEmptyStr( $item[ 'sku' ] ) ) {
                        return;
                }

                self::$existing[] = ProductItem::set( $item );
        }

        
        protected static function endProcess() {

                if ( DataCenter::isNewItem() ) {
                        return;
                }

                if ( 'remove' !== DataCenter::get( static::$type . "/manage-existing/data" ) ) {
                        return;
                }

                $items = DataCenter::getItem()->get_items();

                if ( !Helper::isNonEmptyArray( $items ) ) {
                        return;
                }

                foreach ( $items as $item ) {

                        if ( !in_array( $item->get_id(), self::$existing ) ) {
                                DataCenter::getItem()->remove_item( $item->get_id() );
                        }
                }
        }
}
