<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\ExistingItemsFields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Standard {

        
        public static function get() {

                $fields = [
                        "label"  => __( 'Search Shop Order', 'wp-import-export' ),
                        "class"  => "wpie-existing-items-fields",
                        "order"  => 10,
                        "blocks" => [
                                "search-fields" => [
                                        "title"    => __( 'Search Shop Order', 'wp-import-export' ),
                                        "isActive" => true,
                                        "order"    => 5,
                                        "desc"     => __( 'Search Existing Shop Order', 'wp-import-export' ),
                                        "fields"   => [
                                                "select-file" => [
                                                        "order"      => 5,
                                                        "label"      => __( 'Search By', 'wp-import-export' ),
                                                        "sub-fields" => [
                                                                "fields-list" => static::getFields()
                                                        ]
                                                ]
                                        ]
                                ]
                        ]
                ];

                
                return \apply_filters( 'Wpie/Import/WooCommerce/Order/Fields/Standard', $fields );
        }

        
        public static function getFields() {

                $contentType = Settings::getContentLabel();

                return [
                        "type"        => "radio",
                        "order"       => 10,
                        "name"        => "search/method",
                        "class"       => "existing-item-serach-by",
                        "default"     => "auto",
                        "description" => __( 'Search Shop Order on your site based on...', 'wp-import-export' ),
                        "choices"     => [
                                "auto" => "Auto Detect",
                                "key"  => "Order key",
                        ],
                        "hints"       => [
                                "auto" => __( "Auto Detect Shop Order from mapping and file data", 'wp-import-export' ),
                                "key"  => __( "Search Shop Order by order key", 'wp-import-export' ),
                        ],
                        "fields"      => [
                                "key" => [
                                        "order_key" => [
                                                "order"      => 5,
                                                "sub-fields" => [
                                                        "key" => [
                                                                "type"        => "textarea",
                                                                "order"       => 20,
                                                                "name"        => "fields/search/key",
                                                                "placeholder" => __( "Enter order key here...", 'wp-import-export' ),
                                                                "description" => __( 'Leave empty for auto get order key value from Field Mapping steps', 'wp-import-export' ),
                                                        ]
                                                ]
                                        ]
                                ],
                        ]
                ];
        }

}
