<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Standard;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Other;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Customer;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Payment;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Billing;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Shipping;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Product;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Fee;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Coupon;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\ShippingMethod;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Tax;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Download;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Refund;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Note;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Notification;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Meta;
use WpieApp\Modules\Import\Controller\Items\Base\Fields as BaseFields;

defined( 'WPIE__FILE__' ) || exit;


class Fields extends BaseFields {

        
        public static function get() {

                $type = Settings::getContentType();

                
                \do_action( 'Wpie/Import/Order/Fields/Init', $type );

                
                self::$data = \apply_filters( 'Wpie/Import/Order/Fields', parent::get(), $type );

                return self::getHtml();
        }

        
        public static function getFields() {

                return [
                        "standard"        => Standard::get(),
                        "other"           => Other::get(),
                        "customer"        => Customer::get(),
                        "payment"         => Payment::get(),
                        "billing"         => Billing::get(),
                        "shipping"        => Shipping::get(),
                        "product"         => Product::get(),
                        "fee"             => Fee::get(),
                        "coupon"          => Coupon::get(),
                        "shipping-method" => ShippingMethod::get(),
                        "tax"             => Tax::get(),
                        "download"        => Download::get(),
                        "refund"          => Refund::get(),
                        "note"            => Note::get(),
                        "notification"    => Notification::get(),
                        "meta"            => Meta::get(),
                        // "post-general" => PostGeneral::get()
                ];
        }
}
