<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Shipping;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Options {

        
        public static function getBlocks() {

                return [
                        "title"      => __( 'Options', 'wp-import-export' ),
                        "desc"       => __( 'Shipping Options', 'wp-import-export' ),
                        "order"      => -10,
                        "uid"        => Helper::randStr( "wpie-field-" ),
                        "block-type" => "options",
                        "fields"     => [
                                "copy-billing" => [
                                        "order"      => 10,
                                        "label"      => __( 'Copy billing address', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "copy-billing" => [
                                                        "description" => __( 'Copy data from billing address and ignore shipping address details', 'wp-import-export' ),
                                                        "name"        => "fields/shipping/copy-billing/data",
                                                        "class"       => "wpie-shipping-copy-billing",
                                                        "order"       => 5,
                                                        "is-switch"   => true,
                                                        "type"        => "checkbox",
                                                        "default"     => [],
                                                        "choices"     => [
                                                                "1" => __( "Copy billing address", 'wp-import-export' ),
                                                        ],
                                                        "hint"        => [
                                                                [ "text" => __( "Optional", 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ]
                                ],
                        ]
                ];
        }

}
