<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Engines;

use WpieApp\Core\Utils\Date;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Price {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( "price/regular" ) ) {
                        $data[ 'regular_price' ] = Helper::toNumber( DataCenter::get( "price/regular/data" ) );
                }

                if ( DataCenter::canUpdate( "price/sale" ) ) {
                        $salePrice            = DataCenter::get( "price/sale/data" );
                        $data[ 'sale_price' ] = Helper::isNonEmptyStr( $salePrice ) ? Helper::toNumber( $salePrice ) : '';
                }

                if ( DataCenter::canUpdate( "price/date" ) ) {

                        $dateFrom                    = DataCenter::get( "price/date-from/data" );
                        $data[ 'date_on_sale_from' ] = Helper::isNonEmptyStr( $dateFrom ) ? Date::get( $dateFrom ) : '';

                        $dateTo                    = DataCenter::get( "price/date-to/data" );
                        $data[ 'date_on_sale_to' ] = Helper::isNonEmptyStr( $dateTo ) ? Date::get( $dateTo ) : '';
                }

                return $data;
        }
}
