<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\General\TaxStatus;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\General\TaxClass;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\General\ProductUrl;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\General\ButtonText;

defined( 'WPIE__FILE__' ) || exit;


class General implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Product/Fields/General', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'General', 'wp-import-export' ),
                        "class"  => "wpie-wc-general-fields",
                        "order"  => 12.06,
                        "blocks" => [
                                "general/tax-status"  => TaxStatus::getBlocks(),
                                "general/tax-class"   => TaxClass::getBlocks(),
                                "general/product-url" => ProductUrl::getBlocks(),
                                "general/button-text" => ButtonText::getBlocks(),
                        ]
                ];
        }

}
