<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Taxonomies;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Taxonomies\Taxonomy as PostTaxonomyField;

defined( 'WPIE__FILE__' ) || exit;


class Taxonomy extends PostTaxonomyField {

        
        protected static function getTaxonomies() {

                $taxonomies = parent::getTaxonomies();

                foreach ( $taxonomies as $key => $taxonomy ) {
                        if ( strpos( $taxonomy->name, "pa_" ) === 0 ) {
                                unset( $taxonomies[ $key ] );
                        }
                }
                
                return $taxonomies;
        }

        
        protected static function getExcludePostTaxonomies() {

                $types = array_merge( [ 'product_type', 'product_visibility', 'product_shipping_class' ], parent::getExcludePostTaxonomies() );

                return apply_filters( 'Wpie/Import/Product/Taxonomy/Excludes', $types );
        }

}
