<?php



namespace WpieApp\Extensions\Import\Wpml\Controller\Items\Base;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;
use WpieApp\Extensions\Import\Wpml\Controller\Items\Base\Engines\Language;

defined( 'WPIE__FILE__' ) || exit;


class Engine {

        
        protected static $prefix = '';

        
        protected static $language = '';

        
        public static function preProcessing() {

                Language::set();

                static::$language = Language::get();
        }

        
        public static function init() {

                static::updateLanguage();

                $trid = static::getTrid();

                if ( !DataCenter::isNewItem() && false === $trid ) {
                        return;
                }

                global $sitepress;

                $sitepress->set_element_language_details( DataCenter::getId(), static::getType(), $trid, static::getLanguage() );
        }

        
        protected static function getLanguage() {

                if ( DataCenter::isNewItem() ) {
                        return static::$language;
                }

                global $sitepress;

                return $sitepress->get_language_for_element( DataCenter::getId(), static::getType() );
        }

        
        protected static function getTrid() {

                global $sitepress;

                if ( !DataCenter::isNewItem() ) {

                        $trid = $sitepress->get_element_trid( DataCenter::getId(), static::getType() );

                        $translations = $sitepress->get_element_translations( $trid, static::getType() );

                        if ( $translations && count( $translations ) > 1 ) {
                                return false;
                        }
                }

                $translation = static::getTranslation();

                return (1 > $translation) ? false : $sitepress->get_element_trid( $translation, static::getType() );
        }

        
        protected static function getTranslation() {

                return 0;
        }

        
        protected static function getType() {
                return static::$prefix . Settings::getContentType();
        }

        
        protected static function updateLanguage() {

                if ( DataCenter::isNewItem() ) {
                        return;
                }

                if ( '' !== Language::getImport() ) {
                        return;
                }

                static::$language = static::getLanguage();

                Language::update( static::$language );
        }
}
