<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Engines;

use WPSEO_News;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class News {

        
        public static function get() {

                if ( !self::isPostTypeSupported( DataCenter::getItem()->post_type ) ) {
                        return [];
                }

                $data = [];

                if ( DataCenter::canUpdate( 'yoastseo/news/excludes_google_news' ) ) {

                        $val = DataCenter::get( "yoastseo/news/excludes_google_news/data" );

                        $data[ 'newssitemap-robots-index' ] = Helper::detectBoolVal( $val ) === false ? "0" : "1";
                }
                if ( DataCenter::canUpdate( 'yoastseo/news/stock_tickers' ) ) {

                        $data[ 'newssitemap-stocktickers' ] = DataCenter::get( "yoastseo/news/stock_tickers/data" );
                }

                return $data;
        }

        
        public static function isPostTypeSupported( $postType = '' ) {

                if ( !class_exists( '\WPSEO_News' ) ) {
                        return false;
                }

                if ( !in_array( $postType, WPSEO_News::get_included_post_types() ) ) {
                        return false;
                }

                return true;
        }
}
