<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields;

use WPSEO_Options;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\General\Title;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\General\Metadesc;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\General\NoIndex;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\General\SeoAnalysis;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\General\ReadabilityAnalysis;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\General\InclusiveLanguageAnalysis;

defined( 'WPIE__FILE__' ) || exit;


class General implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "label"  => __( 'Yoast SEO - General', 'wp-import-export' ),
                        "class"  => "wpie-yoastseo-general-fields",
                        "order"  => 32,
                        "blocks" => static::getFields()
                ];

                
                return \apply_filters( 'Wpie/Import/User/Fields/YoastSeo/General', $fields, Settings::getContentType() );
        }

        
        protected static function getFields() {



                $fields = [
                        "yoastseo/general/title"               => Title::getBlocks(),
                        "yoastseo/general/metadesc"            => Metadesc::getBlocks(),
                        "yoastseo/general/noindex"             => NoIndex::getBlocks(),
                        "yoastseo/general/seoanalysis"         => SeoAnalysis::getBlocks(),
                        "yoastseo/general/readabilityanalysis" => ReadabilityAnalysis::getBlocks()
                ];

                if ( WPSEO_Options::get( 'inclusive_language_analysis_active', false ) ) {
                        $fields[ 'yoastseo/general/inclusive_language_analysis_disable' ] = InclusiveLanguageAnalysis::getBlocks();
                }
                
                return $fields;
        }
}
