<?php



namespace WpieApp\Modules\Debug\View\Logs\SystemInfo;

defined( 'WPIE__FILE__' ) || exit;


class InactivePlugins {

        
        public static function get() {


                return [
                        "label" => __( 'Inactive Plugins', 'wp-import-export' ),
                        "order" => 90,
                        "data"  => self::getInactivePlugins()
                ];
        }

        
        private static function getInactivePlugins() {


                require_once ABSPATH . 'wp-admin/includes/plugin.php';

                if ( !function_exists( 'get_plugins' ) ) {
                        return [];
                }

                $plugins = \get_plugins();

                $active_plugins = ( array ) \get_option( 'active_plugins', [] );

                if ( \is_multisite() ) {
                        $network_activated_plugins = array_keys( \get_site_option( 'active_sitewide_plugins', [] ) );
                        $active_plugins            = array_merge( $active_plugins, $network_activated_plugins );
                }


                $inactivePlugins= [];

                foreach ( $plugins as $plugin => $data ) {

                        if ( in_array( $plugin, $active_plugins, true ) ) {
                                continue;
                        }

                        $label      = isset( $data[ 'Name' ] ) ? $data[ 'Name' ] : "";
                        $version    = isset( $data[ 'Version' ] ) ? $data[ 'Version' ] : "";
                        $AuthorName = isset( $data[ 'AuthorName' ] ) ? $data[ 'AuthorName' ] : "";

                        $inactivePlugins[] = [
                                'label' => $label,
                                'data'  => __( 'by', 'wp-import-export' ) . " " . $AuthorName . " - version " . $version
                        ];
                }

                return $inactivePlugins;
        }

}
