<?php



namespace WpieApp\Modules\Export\Controller;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Items\Manager as Items;

defined( 'WPIE__FILE__' ) || exit;


class Background {

        
        private static $hasCompleted = false;

        
        public static function run( $id = 0 ) {

                if ( absint( $id ) < 1 ) {
                        return;
                }

                Settings::load( $id );

                self::start();

                self::prepareExport();

                if ( "pre-completed" === Settings::get( 'status' ) ) {
                        if ( "completed" === Utils::preCompleteTasks() ) {
                                Settings::set( 'status', 'completed' );
                        }
                } else {
                        Items::get( 'data' );
                }

                self::complete();
        }

        
        private static function prepareExport() {

                if ( Settings::get( 'status' ) !== "init" ) {
                        return;
                }

                $total = Items::get( 'total' );

                if ( $total < 1 ) {
                        Settings::set( [ 'status' => 'failed', 'is_locked' => 0 ] );
                        Settings::setOption( 'error', __( 'No matching records found', 'wp-import-export' ) );
                        $parent = Settings::get( 'parent' );
                        Settings::set( 'id', 0 );
                        Settings::load( $parent );
                        Settings::setOption( 'schedule/failed', \absint( Settings::getOption( 'schedule/failed' ) ) + 1 );
                        Helper::ajaxSuccess();
                }

                Settings::set( [ "total" => $total, 'status' => 'processing' ] );

                Utils::saveFields();

                Utils::setName();

                Settings::setOption( 'preExport', 'completed' );
        }

        
        private static function start() {

                \add_action( 'shutdown', [ __CLASS__, 'complete' ] );

                if ( Settings::get( "is_locked" ) === 1 ) {
                        return;
                }

                Settings::set( "is_locked", 1 );
        }

        
        public static function complete() {

                if ( self::$hasCompleted ) {
                        return;
                }

                self::$hasCompleted = true;

                if ( 0 !== Settings::get( "is_locked" ) ) {
                        Settings::set( "is_locked", 0 );
                }

                $status = Settings::get( "status" );

                $responce = [
                        "process"   => Settings::get( "process" ),
                        "id"        => Settings::get( "id" ),
                        "status"    => ('waiting' === $status) ? 'processing' : $status,
                        "processed" => Settings::getLog( "processed" )
                ];

                if ( 'failed' === Settings::get( "status" ) ) {
                        $responce[ 'error' ] = Settings::getOption( "error" );
                }

                Helper::ajaxSuccess( $responce );
        }
}
