<?php



namespace WpieApp\Modules\Export\Controller\Items\Taxonomy\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Parents {

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( !Helper::isNonEmptyStr( $element ) || !in_array( $element, [ 'parent_name', 'parent_slug' ] ) ) {
                        return "";
                }

                $parentId = isset( DataCenter::getItem()->parent ) ? Helper::toInt( DataCenter::getItem()->parent ) : 0;

                if ( $parentId < 1 ) {
                        return "";
                }

                $taxonomy = isset( DataCenter::getItem()->taxonomy ) ? DataCenter::getItem()->taxonomy : '';

                $term = \get_term_by( "id", DataCenter::getItem()->parent, $taxonomy );

                if ( !$term ) {
                        return "";
                }

                $field = ($element === 'parent_name' ? 'name' : 'slug');

                $data = isset( $term->$field ) ? $term->$field : "";

                if ( 'parent_slug' === $element ) {
                        $data = \urldecode_deep( $data );
                }

                
                return \apply_filters( 'Wpie/Export/Taxonomy/Standard/Data', $data, Settings::getContentType() );
        }
}
