<?php




namespace WpieApp\Modules\Export\Helpers;

defined( 'ABSPATH' ) || exit;


trait Field {

	
	public static function getNormalizedField( $fields = [], $type = "", $fixTitle = false, $nonFilterable = [], $excludes = [], $nonExportable = [] ) {

		if ( !Helper::isNonEmptyArray( $fields ) ) {
			return [];
		}

		$data = [];

		foreach ( $fields as $field ) {

			if ( Helper::isEmptyStr( $field ) ) {
				continue;
			}

			if ( Helper::isNonEmptyArray( $excludes ) && in_array( $field, $excludes ) ) {
				continue;
			}

			$label = $fixTitle ? ucwords( trim( str_replace( "_", " ", $field ) ) ) : $field;

			$fieldData = [
				'label'		 => $label,
				'type'		 => $type,
				'element'	 => $field
			];

			if ( Helper::isNonEmptyArray( $nonFilterable ) && in_array( $field, $nonFilterable ) ) {
				$fieldData[ 'isFiltered' ] = false;
			}

			$data[] = $fieldData;
		}

		return $data;
	}

}
