<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Author\Name;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Author\Email;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Author\Url;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Author\Ip;

defined( 'WPIE__FILE__' ) || exit;


class Author implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Comment/Fields/Author', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Author', 'wp-import-export' ),
                        "class"  => "wpie-author-fields",
                        "order"  => 20,
                        "blocks" => [
                                "author/name"  => Name::getBlocks(),
                                "author/email" => Email::getBlocks(),
                                "author/url"   => Url::getBlocks(),
                                "author/ip"    => Ip::getBlocks(),
                        ]
                ];
        }

}
