<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Engines\Images;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;
use WpieApp\Modules\Import\Controller\Items\Base\Engines\Images\Source as BaseSource;
use WpieApp\Modules\Import\Controller\Items\Base\Engines\Images\Gallery;

defined( 'WPIE__FILE__' ) || exit;


class Source extends BaseSource {

        
        protected static function getDefaults() {

                return [
                        'post_author' => DataCenter::getItem()->post_author,
                        'post_parent' => DataCenter::getId(),
                        'post_date'   => DataCenter::getItem()->post_date
                ];
        }

        
        protected static function getDate() {

                return DataCenter::getItem()->post_date;
        }

        
        public static function setImages() {

                $attachments = self::$attachments;

                $thumbnailId = Helper::isNonEmptyArray( $attachments ) ? array_shift( $attachments ) : '';
                \update_post_meta( DataCenter::getId(), '_thumbnail_id', $thumbnailId );

                if ( Helper::isNonEmptyArray( $attachments ) ) {
                        \update_post_meta( DataCenter::getId(), 'wpie_image_gallery', Helper::arrTostr( $attachments ) );
                } else {
                        \delete_post_meta( DataCenter::getId(), 'wpie_image_gallery' );
                }
                unset( $attachments );
        }

        
        public static function search( $image = "" ) {

                $id = Existing::search( $image );

                if ( !is_numeric( $id ) || absint( $id ) < 1 ) {
                        $id = Gallery::search( $image );
                }

                return $id;
        }

}
