<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Engines;

use WpieApp\Core\Utils\DB;
use WpieApp\Core\Utils\Date;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;
use WpieApp\Modules\Import\Controller\Items\Base\Engines\Images\Relink;

defined( 'WPIE__FILE__' ) || exit;


class Standard {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( "standard/title" ) ) {
                        $data[ "post_title" ] = DataCenter::get( "standard/title/data" );
                }

                if ( DataCenter::canUpdate( "standard/content" ) ) {
                        $data[ "post_content" ] = DataCenter::get( "standard/content/data" );
                }
                if ( DataCenter::canUpdate( "standard/excerpt" ) ) {
                        $data[ "post_excerpt" ] = DataCenter::get( "standard/excerpt/data" );
                }

                if ( DataCenter::canUpdate( "standard/date" ) ) {

                        $date = DataCenter::get( "standard/date/data" );

                        $date = ( "now" === $date || !Helper::isNonEmptyStr( $date ) || \strtotime( $date ) === false ) ? Date::now() : $date;

                        $date = Date::get( $date );

                        $data[ "post_date" ] = $date;

                        $data[ "post_date_gmt" ] = \get_gmt_from_date( $date );

                        unset( $date );
                }

                if ( DataCenter::canUpdate( "standard/slug" ) ) {
                        $data[ "post_name" ] = DataCenter::get( "standard/slug/data" );
                }

                return $data;
        }

        
        public static function relinkContent() {

                if ( !DataCenter::canUpdate( "standard/content" ) ) {
                        return;
                }

                $content = DataCenter::get( "standard/content/data" );

                $newContent = Relink::get( $content );

                if ( $content === $newContent ) {
                        return;
                }

                DB::wpdb()->update( DB::wpdb()->posts, [ "post_content" => $newContent ], [ 'ID' => DataCenter::getId() ] );

                \clean_post_cache( DataCenter::getId() );
        }

}
