<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Fields\Standard;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Content {

        
        public static function getBlocks() {

                $contentType = Settings::getContentLabel();

                return [
                        "title"         => __( 'Content', 'wp-import-export' ),
                        /* translators: %s: content type */
                        "desc"          => sprintf( __( '%s Content', 'wp-import-export' ), $contentType ),
                        "isRecommended" => true,
                        "order"         => 10,
                        //"uid"	 => Helper::randStr( "wpie-field-" ),
                        "fields"        => [
                                "item-content" => [
                                        "order"      => 10,
                                        "label"      => __( 'Content', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "content" => [
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( '%s Content', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/standard/content/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                                "content"      => [
                                        "order"      => 20,
                                        /* translators: %s: content type */
                                        "label"      => sprintf( __( '%s Content Images', 'wp-import-export' ), $contentType ),
                                        "sub-fields" => [
                                                "settings" => [
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( 'Search image through %s Content and import images wrapped in <img> tags', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/standard/content/images",
                                                        "type"        => "checkbox",
                                                        "default"     => [ "1" ],
                                                        "choices"     => [ "1" => __( "Download Image", 'wp-import-export' ) ],
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Download images in content and relink data', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
