<?php



namespace WpieApp\Modules\Import\Controller\Items\Post;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Post\Search\Meta;
use WpieApp\Modules\Import\Controller\Items\Post\Search\Post;

defined( 'WPIE__FILE__' ) || exit;


class Search {

	
	public static function getPostIdByMetas( $options = [] ) {
		return Meta::Search( $options );
	}

	
	public static function getId( $options = [] ) {
		return Post::Search( $options );
	}

	
	public static function getPostIdBy( $field, $value, $postTypes ) {

		if ( "meta" === $field ) {
			$key	 = isset( $value[ 'key' ] ) ? $value[ 'key' ] : "";
			$val	 = isset( $value[ 'value' ] ) ? $value[ 'value' ] : "";
			return self::getPostIdByMeta( $key, $val, $postTypes );
		}

		if ( !Helper::isNonEmptyStr( $field ) || (!Helper::isNonEmptyStr( $postTypes ) && !Helper::isNonEmptyArray( $postTypes ) ) ) {
			return 0;
		}

		$options = [
			[ "args" => [
					[ "key" => $field, "value" => $value ],
					[ "key" => "type", "value" => $postTypes ]
				]
			]
		];
	
		return self::getId( $options );
	}

	
	public static function getPostIdByMeta( $key, $value, $postTypes ) {

		if ( !Helper::isNonEmptyStr( $key ) && !Helper::isNonEmptyStr( $postTypes ) && !Helper::isNonEmptyArray( $postTypes ) ) {
			return 0;
		}

		$options = [
			'post_type'	 => $postTypes,
			'metas'		 => [ [ "key" => $key, "value" => $value ] ]
		];

		return self::getPostIdByMetas( $options );
	}

}
