<?php



namespace WpieApp\Modules\Import\Controller\Items\User;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\AutoDetect as Base;

defined( 'WPIE__FILE__' ) || exit;


class AutoDetect extends Base {

        
        protected static function processField( $field = '' ) {

                static::updateStandard( $field );

                static::updateBasic( $field );
        }

        
        protected static function updateStandard( $field = "" ) {

                $fields = [
                        'login'      => 'login',
                        'email'      => 'email',
                        'role'       => 'role',
                        'capabilities' => 'capability',
                        'firstname'  => 'firstname',
                        'lastname'   => 'lastname',
                        'password'   => 'password',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'standard/' . $fields[ $field ], $field );
        }

        
        protected static function updateBasic( $field = "" ) {

                $fields = [
                        'registereddate'   => 'registered',
                        'nicename'         => 'nicename',
                        'website'          => 'website',
                        'displayname'      => 'display-name',
                        'nickname'         => 'nickname',
                        'biographicalinfo' => 'description',
                        'language'         => 'language',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                 static::update( 'other/' . $fields[ $field ], $field );
        }
}
