<?php



namespace WpieApp\Modules\Import\Controller\Items\User\Fields\Standard;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class LastName {

        
        public static function getBlocks() {

                $contentType = Settings::getContentLabel();

                return [
                        "title"         => __( 'Last Name', 'wp-import-export' ),
                        /* translators: %s: content type */
                        "desc"          => sprintf( __( '%s last name', 'wp-import-export' ), $contentType ),
                        "order"         => 70,
                        "isRecommended" => true,
                        "fields"        => [
                                "item-lastname" => [
                                        "order"      => 10,
                                        /* translators: %s: content type */
                                        "label"      => sprintf( __( '%s Last Name', 'wp-import-export' ), $contentType ),
                                        "sub-fields" => [
                                                "lastname" => [
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( '%s Last Name', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/standard/lastname/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
