<?php



namespace WpieApp\Modules\Import\Controller\Items\User\Fields\Standard;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Password {

        
        public static function getBlocks() {

                $contentType = Settings::getContentLabel();

                return [
                        "title"         => __( 'Password', 'wp-import-export' ),
                        /* translators: %s: content type */
                        "desc"          => sprintf( __( '%s Password', 'wp-import-export' ), $contentType ),
                        "order"         => 30,
                        "isRecommended" => true,
                        "fields"        => [
                                "item-password" => [
                                        "order"      => 10,
                                        /* translators: %s: content type */
                                        "label"      => sprintf( __( '%s Password', 'wp-import-export' ), $contentType ),
                                        "sub-fields" => [
                                                "password" => [
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( '%s Password', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/standard/password/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                "options"  => [
                                                        "description" => __( 'If the value being imported is a hashed password from another WordPress site, enable this option', 'wp-import-export' ),
                                                        "name"        => "fields/standard/password/hashed",
                                                        "type"        => "checkbox",
                                                        "default"     => [],
                                                        "choices"     => [
                                                                "1" => __( "This is a hashed password from another WordPress site.", 'wp-import-export' ),
                                                        ],
                                                        "hint"        => [
                                                                [ "text" => __( 'optional', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
