<?php



namespace WpieApp\Modules\Import\View\FileSettings;

defined( 'WPIE__FILE__' ) || exit;


class Filter {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSettings/Filter',
                        [
                                "title"  => __( 'Filters', 'wp-import-export' ),
                                "desc"   => __( 'Manage Data Filters', 'wp-import-export' ),
                                "order"  => 15,
                                "fields" => [
                                        "filters" => [
                                                "order"         => 5,
                                                "wrapper-class" => 'wpie-filter-container',
                                                "label"         => __( 'Add Filter', 'wp-import-export' ),
                                                "sub-fields"    => [
                                                        "comparison" => [
                                                                "description" => __( 'Comparison', 'wp-import-export' ),
                                                                "type"        => "radio",
                                                                "class"       => "wpie-filter-comparison",
                                                                "outer-class" => "wpie-filter-comparison-wrapper",
                                                                "name"        => "filter/comparison",
                                                                "placeholder" => __( "Select Comparison", 'wp-import-export' ),
                                                                "order"       => 10,
                                                                "default"     => "string",
                                                                "choices"     => [
                                                                        "string" => __( "Compare Texts / Strings", 'wp-import-export' ),
                                                                        "number" => __( "Compare Numbers", 'wp-import-export' ),
                                                                        "date"   => __( "Compare Dates", 'wp-import-export' ),
                                                                ],
                                                                "hints"       => [
                                                                        "string" => __( "Example : Name = VJInfotech", 'wp-import-export' ),
                                                                        "number" => __( "Example : Age > 18", 'wp-import-export' ),
                                                                        "date"   => __( "Example : Birthdate > 01 Jan 2022", 'wp-import-export' ),
                                                                ]
                                                        ],
                                                        "field"      => [
                                                                "description" => __( 'Field', 'wp-import-export' ),
                                                                "outer-class" => "col-xl",
                                                                "type"        => "select",
                                                                "class"       => "wpie-filter-field",
                                                                "placeholder" => __( "Select Field", 'wp-import-export' ),
                                                                "order"       => 20,
                                                                "default"     => [],
                                                                "choices"     => []
                                                        ],
                                                        "condition"  => [
                                                                "description" => __( 'Condition', 'wp-import-export' ),
                                                                "outer-class" => "col-xl",
                                                                "type"        => "select",
                                                                "class"       => "wpie-filter-condition",
                                                                "placeholder" => __( "Select Condition", 'wp-import-export' ),
                                                                "order"       => 30,
                                                                "default"     => [],
                                                                "choices"     => []
                                                        ],
                                                        "value"      => [
                                                                "description" => __( 'Value', 'wp-import-export' ),
                                                                "outer-class" => "col-xl wpie-filter-value-container",
                                                                "order"       => 40,
                                                                "class"       => "wpie-filter-value",
                                                                "type"        => "text",
                                                        ],
                                                        "button"     => [
                                                                "order"      => 100,
                                                                "type"       => "button",
                                                                "label"      => __( 'Add Filter', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-circle-plus",
                                                                "class"      => "wpie-filter-add-btn btn-primary"
                                                        ]
                                                ],
                                        ],
                                ]
                        ]
                );
        }
}
