<?php



namespace WpieApp\Modules\Import\View\FileSetup;

defined( 'WPIE__FILE__' ) || exit;


class GoogleCloudStorage {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSetup/GoogleCloudStorage',
                        [
                                "title"        => __( 'From Google Cloud Storage', 'wp-import-export' ),
                                "desc"         => __( 'Download file from google cloud storage', 'wp-import-export' ),
                                "order"        => 80,
                                "notes"        => self::getNotes(),
                                "pro-backdrop" => WPIE_PRO ? false : true,
                                "fields"       => [
                                        "json-key-file" => [
                                                "order"      => 5,
                                                "label"      => __( 'JSON key file data', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        [
                                                                "type"        => "textarea",
                                                                "order"       => 5,
                                                                "class"       => "wpie-gcs-json-key-file",
                                                                "description" => __( 'Google cloud storage JSON key file data', 'wp-import-export' )
                                                        ]
                                                ]
                                        ],
                                        "project-id"    => [
                                                "order"      => 10,
                                                "label"      => __( 'Project Id', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        [
                                                                "type"        => "text",
                                                                "order"       => 5,
                                                                "class"       => "wpie-gcs-project-id",
                                                                "description" => __( 'Google Cloud Storage Project Id', 'wp-import-export' )
                                                        ]
                                                ]
                                        ],
                                        "bucket-name"   => [
                                                "order"      => 15,
                                                "label"      => __( 'Bucket Name', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        [
                                                                "type"        => "text",
                                                                "order"       => 5,
                                                                "class"       => "wpie-gcs-bucket-name",
                                                                "description" => __( 'Google Cloud Storage Bucket Name', 'wp-import-export' )
                                                        ]
                                                ]
                                        ],
                                        "submit-button" => [
                                                "order"      => 120,
                                                "sub-fields" => [
                                                        [
                                                                "type"       => "button",
                                                                "order"      => 5,
                                                                "label"      => __( 'Connect', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-link",
                                                                "class"      => "wpie-connnect-gcs-btn btn-primary"
                                                        ],
                                                ]
                                        ],
                                ]
                        ]
                );
        }

        
        public static function getNotes() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSetup/GoogleCloudStorage/Notes',
                        [
                                [
                                        "type"       => "info",
                                        "icon-class" => "fa-solid fa-circle-info ",
                                        "class"      => "mb-4 wpie-info-alert",
                                        "text"       => sprintf(
                                                /* translators: Link to the upload from Google Cloud Storage documentation. */
                                                __(
                                                        '<a href="%s" target="_blank" class="wpie-info-alert-link">Click here</a> to learn the step-by-step process for downloading files from google cloud storage',
                                                        'wp-import-export'
                                                ),
                                                \esc_url( WPIE_DOC_URL . 'downloading-files-from-google-cloud-storage' )
                                        )
                                ]
                        ]
                );
        }
}
