<?php



namespace WpieApp\Modules\Import\View;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Steps {

        
        private static $steps = [];

        
        public static function get() {

                if ( !Helper::isNonEmptyArray( self::$steps ) ) {
                        
                        self::$steps = Helper::sortBy(
                                        \apply_filters(
                                                'Wpie/Modules/Import/View/Steps',
                                                [
                                                        [ 'title' => __( 'File Setup', 'wp-import-export' ), "order" => 10, "group" => "wpie-file-setup" ],
                                                        [ 'title' => __( 'Content Setup', 'wp-import-export' ), "order" => 20, "group" => "wpie-content-setup" ],
                                                        [ 'title' => __( 'Field Mapping', 'wp-import-export' ), "order" => 30, "group" => "wpie-field-mapping" ],
                                                        [ 'title' => __( 'Manage Items', 'wp-import-export' ), "order" => 40, "group" => "wpie-manage-items" ],
                                                        [ 'title' => __( 'Schedule Import', 'wp-import-export' ), "order" => 50, "group" => "wpie-schedule-import" ],
                                                        [ 'title' => __( 'Importing Data', 'wp-import-export' ), "order" => 999999, "group" => "wpie-importing-data" ],
                                                ]
                                        )
                        );
                }

                return self::$steps;
        }

}
