<?php

namespace WpieApp\Modules\Logs;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Providers\Middleware as BaseMiddleware;
use WpieApp\Modules\Logs\Controller\ManageLog;

defined( 'WPIE__FILE__' ) || exit;


class Middleware extends BaseMiddleware {

        
        public function boot() {

                ManageLog::cleanUp();

                // add menu...
                $this->createMenu( __( 'Logs', 'wp-import-export' ), $this->getAssets(), 50 );
        }

        
        public function getAssets() {

                $moduleURL = Helper::activeModuleURL();

                return [
                        'scripts' => [
                                Helper::PLUGIN_PREFIX . 'logs' => [
                                        "src"  => $moduleURL . '/assets/js/logs.js',
                                        "deps" => [ 'jquery', Helper::PLUGIN_PREFIX . 'admin' ],
                                ]
                        ]
                ];
        }
}
