<?php



namespace WpieApp\Modules\Logs\View\Logs;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Settings {

        
        public static function getBlocks() {

                $settingData = Helper::getOption( 'settings', "" );

                $settings = Helper::isNonEmptyStr( $settingData ) ? maybe_unserialize( $settingData ) : [];

                
                return \apply_filters(
                        'Wpie/Modules/Logs/View/Settings',
                        [
                                "title"  => __( 'Log Settings', 'wp-import-export' ),
                                "order"  => 30,
                                "desc"   => __( 'Manage Logs', 'wp-import-export' ),
                                "fields" => [
                                        "keep-records" => [
                                                "order"      => 10,
                                                "label"      => __( 'Set Log Record Limit', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "records"       => [
                                                                "type"        => "text",
                                                                "order"       => 10,
                                                                "class"       => "wpie-log-limit",
                                                                "name"        => "setting/log-limit",
                                                                "value"       => !isset( $settings[ "log-limit" ] ) || $settings[ "log-limit" ] < 10 || $settings[ "log-limit" ] > 50 ? 25 : $settings[ "log-limit" ],
                                                                "description" => __( 'Only 10 to 50 number of logs are stored. Other will deleted automatically', 'wp-import-export' ),
                                                        ],
                                                        "submit-button" => [
                                                                "type"       => "button",
                                                                "order"      => 120,
                                                                "label"      => __( 'Save', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-check",
                                                                "class"      => "wpie-log-limit-save-btn btn-primary",
                                                        ]
                                                ],
                                        ],
                                ]
                        ]
                );
        }

}
